---
- name: Configure demo Aegir server.
  hosts: all
  remote_user: ubuntu
  become: true
  gather_facts: True

  vars:
    ansible_python_interpreter: /usr/bin/python3
    aegir_frontend_url: govcon2020.consensus.enterprises
    aegir_login_link: True

  pre_tasks:

    - name: "Ensure that our volume to be attached."
      wait_for:
        path: "/dev/vdb"

    - name: "Format `/var/aegir` filesystem on `aegir0`."
      become: true
      filesystem:
        fstype: "ext4"
        device: "/dev/vdb"

    - name: "Mount `/var/aegir` volume to `aegir0`."
      become: true
      mount:
        path: "/var/aegir"
        src: "/dev/vdb"
        fstype: "ext4"
        state: mounted

    - name: "Update APT."
      command: "apt update"
      become: true

  roles:
    - consensus.aegir
